#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
x_cart:
  clean_urls:
    aliases:
      customer_gallery: customer-gallery

services:
  _defaults:
    autowire: true

  XC\CustomerGallery\Core\Provider\GalleryDataProvider:
    class: XC\CustomerGallery\Core\Provider\GalleryDataProviderImplementation
    public: true
    arguments:
      $cardsRepo: '@xc.customer-gallery.repository.gallery'

  xc.customer-gallery.repository.gallery:
    class: XC\CustomerGallery\Model\Repo\CustomerGallery
    factory: ['@doctrine.orm.default_entity_manager', getRepository]
    arguments:
      - XC\CustomerGallery\Model\CustomerGallery

  XC\CustomerGallery\Core\Provider\GallerySettingsProvider:
    class: XC\CustomerGallery\Core\Provider\GallerySettingsProviderImplementation
    public: true
    arguments:
      $repo: '@xc.customer-gallery.repository.gallery-settings'

  xc.customer-gallery.repository.gallery-settings:
    class: XC\CustomerGallery\Model\Repo\CustomerGallerySettingsTranslation
    factory: ['@doctrine.orm.default_entity_manager', getRepository]
    arguments:
      - XC\CustomerGallery\Model\CustomerGallerySettingsTranslation

  XC\CustomerGallery\Core\Helper\ClassHelper:
    class: XC\CustomerGallery\Core\Helper\ClassHelper
    public: true
